Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.dfs
Class HttpRequest

    java.lang.Object
      java.lang.Thread
          com.knowgate.dfs.HttpRequest

All Implemented Interfaces:
  java.lang.Runnable

    public class HttpRequest

extends java.lang.Thread

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`HttpRequest(java.lang.String sUrl)`
`HttpRequest(java.lang.String sUrl, java.net.URL oReferUrl, java.lang.String sMethod, NameValuePair[] aParams)`

Method Summary
`java.lang.Object` | `get()`
`java.lang.Object` | `post()`
`void` | `run()`
`java.lang.String` | `url()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpRequest

    public HttpRequest(java.lang.String sUrl)

### HttpRequest

    public HttpRequest(java.lang.String sUrl,
                       java.net.URL oReferUrl,
                       java.lang.String sMethod,
                       NameValuePair[] aParams)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### post

    public java.lang.Object post()
                          throws java.io.IOException,
                                 java.net.URISyntaxException,
                                 java.net.MalformedURLException

  Throws:
    `java.io.IOException`
    `java.net.URISyntaxException`
    `java.net.MalformedURLException`

### url

    public java.lang.String url()

### get

    public java.lang.Object get()
                         throws java.io.IOException,
                                java.net.URISyntaxException,
                                java.net.MalformedURLException

  Throws:
    `java.io.IOException`
    `java.net.URISyntaxException`
    `java.net.MalformedURLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD